# Source code for azure.mgmt.datafactory.models.trigger_pipeline_reference_py3

    # coding=utf-8
    # --------------------------------------------------------------------------
    # Copyright (c) Microsoft Corporation. All rights reserved.
    # Licensed under the MIT License. See License.txt in the project root for
    # license information.
    #
    # Code generated by Microsoft (R) AutoRest Code Generator.
    # Changes may cause incorrect behavior and will be lost if the code is
    # regenerated.
    # --------------------------------------------------------------------------

    from msrest.serialization import Model

    class TriggerPipelineReference(Model):
        """Pipeline that needs to be triggered with the given parameters.

        :param pipeline_reference: Pipeline reference.
        :type pipeline_reference: ~azure.mgmt.datafactory.models.PipelineReference
        :param parameters: Pipeline parameters.
        :type parameters: dict[str, object]
        """

        _attribute_map = {
            'pipeline_reference': {'key': 'pipelineReference', 'type': 'PipelineReference'},
            'parameters': {'key': 'parameters', 'type': '{object}'},
        }

        def __init__(self, *, pipeline_reference=None, parameters=None, **kwargs) -> None:
            super(TriggerPipelineReference, self).__init__(**kwargs)
            self.pipeline_reference = pipeline_reference
            self.parameters = parameters